

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.visualization.VH_diagram.MainWindow.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.visualization.VH_diagram.MainWindow"></span><dl class="py class">
<dt id="posydon.visualization.VH_diagram.MainWindow.MainWindow">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.MainWindow.</code><code class="sig-name descname">MainWindow</code><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#MainWindow"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.MainWindow" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">PyQt5.QtWidgets.QMainWindow</span></code></p>
<p>Custom window to display the application</p>
<dl class="py method">
<dt id="posydon.visualization.VH_diagram.MainWindow.MainWindow.closeEvent">
<code class="sig-name descname">closeEvent</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">self</span></em>, <em class="sig-param"><span class="n">QCloseEvent</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#MainWindow.closeEvent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.MainWindow.closeEvent" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt id="posydon.visualization.VH_diagram.MainWindow.MainWindow.save_requiered">
<code class="sig-name descname">save_requiered</code><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.MainWindow.save_requiered" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.MainWindow.MainWindow.start_visualition">
<code class="sig-name descname">start_visualition</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#MainWindow.start_visualition"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.MainWindow.start_visualition" title="Permalink to this definition">¶</a></dt>
<dd><p>Short summary.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>Return the interface with current window, binded visualizer widget and option window. Expose callbacks</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p><a class="reference internal" href="#posydon.visualization.VH_diagram.MainWindow.VisualizerInterface" title="posydon.visualization.VH_diagram.MainWindow.VisualizerInterface">VisualizerInterface</a></p>
</dd>
</dl>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt id="posydon.visualization.VH_diagram.MainWindow.VisualizerInterface">
<em class="property">class </em><code class="sig-prename descclassname">posydon.visualization.VH_diagram.MainWindow.</code><code class="sig-name descname">VisualizerInterface</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">main_win</span></em>, <em class="sig-param"><span class="n">visualizer</span></em>, <em class="sig-param"><span class="n">options</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#VisualizerInterface"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.VisualizerInterface" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.9)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Handle for all callback triggered by user</p>
<p>Short summary.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>main_win</strong> (<a class="reference internal" href="#posydon.visualization.VH_diagram.MainWindow.MainWindow" title="posydon.visualization.VH_diagram.MainWindow.MainWindow"><em>MainWindow</em></a>) – The main window used.</p></li>
<li><p><strong>visualizer</strong> (<a class="reference internal" href="posydon.visualization.VH_diagram.GraphVisualizer.html#posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer" title="posydon.visualization.VH_diagram.GraphVisualizer.GraphVisualizer"><em>GraphVisualizer</em></a>) – Custom widget to display graph.</p></li>
<li><p><strong>options</strong> (<a class="reference internal" href="posydon.visualization.VH_diagram.OptionsWindow.html#posydon.visualization.VH_diagram.OptionsWindow.OptionsWindow" title="posydon.visualization.VH_diagram.OptionsWindow.OptionsWindow"><em>OptionsWindow</em></a>) – Window used to display options.</p></li>
</ul>
</dd>
</dl>
<dl class="py method">
<dt id="posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.detail_required">
<code class="sig-name descname">detail_required</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#VisualizerInterface.detail_required"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.detail_required" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.diagram_required">
<code class="sig-name descname">diagram_required</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#VisualizerInterface.diagram_required"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.diagram_required" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.distance_representation_required">
<code class="sig-name descname">distance_representation_required</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#VisualizerInterface.distance_representation_required"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.distance_representation_required" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.options">
<code class="sig-name descname">options</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#VisualizerInterface.options"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.options" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.reduce_required">
<code class="sig-name descname">reduce_required</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#VisualizerInterface.reduce_required"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.reduce_required" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.save_required">
<code class="sig-name descname">save_required</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#VisualizerInterface.save_required"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.save_required" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt id="posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.simplify_required">
<code class="sig-name descname">simplify_required</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/visualization/VH_diagram/MainWindow.html#VisualizerInterface.simplify_required"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.visualization.VH_diagram.MainWindow.VisualizerInterface.simplify_required" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>